Skip to content
Start here

Get certificate authority details

client.radar.ct.authorities.get(stringcaSlug, AuthorityGetParams { format } query?, RequestOptionsoptions?): AuthorityGetResponse { certificateAuthority }
GET/radar/ct/authorities/{ca_slug}

Retrieves the requested CA information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
caSlug: string

Certificate authority SHA256 fingerprint.

query: AuthorityGetParams { format }
format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
ReturnsExpand Collapse
AuthorityGetResponse { certificateAuthority }
certificateAuthority: CertificateAuthority { appleStatus, authorityKeyIdentifier, certificateRecordType, 15 more }
appleStatus: "INCLUDED" | "NOT_YET_INCLUDED" | "NOT_INCLUDED" | 4 more

The inclusion status of a Certificate Authority (CA) in the trust store.

One of the following:
"INCLUDED"
"NOT_YET_INCLUDED"
"NOT_INCLUDED"
"NOT_BEFORE"
"REMOVED"
"DISABLED"
"BLOCKED"
authorityKeyIdentifier: string

The authorityKeyIdentifier value extracted from the certificate PEM.

certificateRecordType: "ROOT_CERTIFICATE" | "INTERMEDIATE_CERTIFICATE"

Specifies the type of certificate in the trust chain.

One of the following:
"ROOT_CERTIFICATE"
"INTERMEDIATE_CERTIFICATE"
chromeStatus: "INCLUDED" | "NOT_YET_INCLUDED" | "NOT_INCLUDED" | 4 more

The inclusion status of a Certificate Authority (CA) in the trust store.

One of the following:
"INCLUDED"
"NOT_YET_INCLUDED"
"NOT_INCLUDED"
"NOT_BEFORE"
"REMOVED"
"DISABLED"
"BLOCKED"
country: string

The two-letter ISO country code where the CA organization is based.

countryName: string

The full country name corresponding to the country code.

microsoftStatus: "INCLUDED" | "NOT_YET_INCLUDED" | "NOT_INCLUDED" | 4 more

The inclusion status of a Certificate Authority (CA) in the trust store.

One of the following:
"INCLUDED"
"NOT_YET_INCLUDED"
"NOT_INCLUDED"
"NOT_BEFORE"
"REMOVED"
"DISABLED"
"BLOCKED"
mozillaStatus: "INCLUDED" | "NOT_YET_INCLUDED" | "NOT_INCLUDED" | 4 more

The inclusion status of a Certificate Authority (CA) in the trust store.

One of the following:
"INCLUDED"
"NOT_YET_INCLUDED"
"NOT_INCLUDED"
"NOT_BEFORE"
"REMOVED"
"DISABLED"
"BLOCKED"
name: string

The full name of the certificate authority (CA).

owner: string

The organization that owns and operates the CA.

parentName: string

The name of the parent/root certificate authority that issued this intermediate certificate.

parentSha256Fingerprint: string

The SHA-256 fingerprint of the parent certificate.

One of the following:
One of the following:
revocationStatus: "NOT_REVOKED" | "REVOKED" | "PARENT_CERT_REVOKED"

The current revocation status of a Certificate Authority (CA) certificate.

One of the following:
"NOT_REVOKED"
"REVOKED"
"PARENT_CERT_REVOKED"
sha256Fingerprint: string

The SHA-256 fingerprint of the intermediate certificate.

subjectKeyIdentifier: string

The subjectKeyIdentifier value extracted from the certificate PEM.

validFrom: string

The start date of the certificate’s validity period (ISO format).

validTo: string

The end date of the certificate’s validity period (ISO format).

Get certificate authority details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const authority = await client.radar.ct.authorities.get(
  '24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3',
);

console.log(authority.certificateAuthority);
{
  "result": {
    "certificateAuthority": {
      "appleStatus": "INCLUDED",
      "authorityKeyIdentifier": "1TkcnFtvBKqilUzvIN0pdKTFRXE",
      "certificateRecordType": "ROOT_CERTIFICATE",
      "chromeStatus": "INCLUDED",
      "country": "PT",
      "countryName": "Portugal",
      "microsoftStatus": "INCLUDED",
      "mozillaStatus": "INCLUDED",
      "name": "MULTICERT Advanced Certification Authority 005",
      "owner": "MULTICERT",
      "parentName": "MULTICERT Root Certification Authority 01",
      "parentSha256Fingerprint": "604D32D036895AED3BFEFAEB727C009EC0F2B3CDFA42A1C71730E6A72C3BE9D4",
      "related": [
        {
          "certificateRecordType": "ROOT_CERTIFICATE",
          "name": "MULTICERT Advanced Certification Authority 005",
          "revocationStatus": "NOT_REVOKED",
          "sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3"
        }
      ],
      "revocationStatus": "NOT_REVOKED",
      "sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3",
      "subjectKeyIdentifier": "VbqXmCURhMmiMtD7nFY6iCr4z",
      "validFrom": "2019-12-09",
      "validTo": "2032-06-08"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "certificateAuthority": {
      "appleStatus": "INCLUDED",
      "authorityKeyIdentifier": "1TkcnFtvBKqilUzvIN0pdKTFRXE",
      "certificateRecordType": "ROOT_CERTIFICATE",
      "chromeStatus": "INCLUDED",
      "country": "PT",
      "countryName": "Portugal",
      "microsoftStatus": "INCLUDED",
      "mozillaStatus": "INCLUDED",
      "name": "MULTICERT Advanced Certification Authority 005",
      "owner": "MULTICERT",
      "parentName": "MULTICERT Root Certification Authority 01",
      "parentSha256Fingerprint": "604D32D036895AED3BFEFAEB727C009EC0F2B3CDFA42A1C71730E6A72C3BE9D4",
      "related": [
        {
          "certificateRecordType": "ROOT_CERTIFICATE",
          "name": "MULTICERT Advanced Certification Authority 005",
          "revocationStatus": "NOT_REVOKED",
          "sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3"
        }
      ],
      "revocationStatus": "NOT_REVOKED",
      "sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3",
      "subjectKeyIdentifier": "VbqXmCURhMmiMtD7nFY6iCr4z",
      "validFrom": "2019-12-09",
      "validTo": "2032-06-08"
    }
  },
  "success": true
}